class Sprite {
    width;    // Intrinsic width in pixels
    height;   // Intrinsic height in pixels
    texture;  // WebGL Texture object

    get aspectRatio() {
        return this.width / this.height;
    }
}